summaryrefslogtreecommitdiffstats
path: root/scripts/rawhide-rc.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/rawhide-rc.sh')
-rwxr-xr-xscripts/rawhide-rc.sh11
1 files changed, 10 insertions, 1 deletions
diff --git a/scripts/rawhide-rc.sh b/scripts/rawhide-rc.sh
index 51a3b09f2..40f32a8fe 100755
--- a/scripts/rawhide-rc.sh
+++ b/scripts/rawhide-rc.sh
@@ -3,6 +3,13 @@
source scripts/kernel-version.sh
+klist -s
+if [ ! $? -eq 0 ]; then
+ echo "klist couldn't read the credential cache."
+ echo "Do you need to fix your kerberos tokens?"
+ exit 1
+fi
+
make release
# fixup the release because rpmdev-bumpspec *sigh*
scripts/fixup-bumpspec.sh
@@ -12,6 +19,7 @@ fedpkg commit -c
RC=`grep "%global rcrev" kernel.spec| cut -d ' ' -f 3`
RC=$(($RC+1))
BASE=`grep "%define base_sublevel" kernel.spec| cut -d ' ' -f 3`
+OLDBASE=$BASE
# See comment in kernel.spec about the base numbering
BASE=$(($BASE+1))
@@ -21,10 +29,11 @@ mv sources.tmp sources
# Grab the tarball
if [ ! -f patch-4.$BASE-rc$RC.xz ]; then
- wget https://cdn.kernel.org/pub/linux/kernel/v4.x/testing/patch-4.$BASE-rc$RC.xz
+ wget -O patch-4.$BASE-rc$RC https://git.kernel.org/torvalds/p/v4.$BASE-rc$RC/v4.$OLDBASE
if [ ! $? -eq 0 ]; then
exit 1
fi
+ xz -9 patch-4.$BASE-rc$RC
fedpkg upload patch-4.$BASE-rc$RC.xz
fi